%define download %{_builddir}/%{lname}-%{version}/download
%define name        handbrake
%define lname       HandBrake
%define version     1.2.2
%define Summary     MPEG-AVC(H.264)/MPEG-4 converter
%define major       1
%define libname		%mklibname %name %major
%define libnamedev	%mklibname %name %major -d

Summary:        %Summary
Summary(de):	DVD nach MPEG-4-Konverter.
Name:           %name
Version:        1.7.3
Release:        %mkrel 1
License:        GPL
Group:          Video
URL:            http://handbrake.fr/

Source0:        https://download.handbrake.fr/releases/%{version}/%{lname}-%{version}-source.tar.xz
BuildRoot:      %_tmppath/%name-%version-buildroot
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  cmake
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  m4
BuildRequires:	nasm 
BuildRequires:	zlib1-devel 
BuildRequires:	lib64bzip2-devel
BuildRequires:	lib64gtk+3.0-devel
BuildRequires:	lib64xtst-devel
BuildRequires:	lame-devel
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(jansson)
BuildRequires:  pkgconfig(libass)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(theora)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  lib64webkit2-devel
BuildRequires:  pkgconfig(x264)
Obsoletes:	handbrakegtk
Requires:	gtk+3.0

%description
HandBrake is an open-source, GPL-licensed, multiplatform,
multithreaded DVD to MPEG-4 converter, available for MacOS
X, Linux and Windows. It is a video encoder that takes your
movies and transfers them to a format that's useful on your
computers, media centers, and portable electronic devices.

#german
%description -l de
HandBrake ist ein Open-Source, GPL-lizensierter, Multiplattform,
multithreaded DVD zu MPEG-4-Konverter, verfügbar für Mac OS X,
Linux und Windows. Es ist ein Video-Encoder, der Ihre Filme in
das MPEG-4 Format schrumpft, welche Platz sparend auf
Computer-, Medien-Zentren, und tragbaren elektronischen
Geräten.


%prep
%setup -q -n %{lname}-%{version}

%build

./configure \
        --prefix=%{_prefix} \
        --launch \
        --launch-jobs=0 \
        --verbose \
        --debug=none

%make_build -C build


%install
rm -rf %buildroot
%make_install -C build

%find_lang ghb

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-key="Encoding" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%clean
rm -rf %buildroot

%files -f ghb.lang
%defattr(-,root,root)
%doc AUTHORS* COPYING 
%_bindir/*
%_datadir/applications/*
%_datadir/icons/hicolor
%_datadir/metainfo/fr.handbrake.ghb.metainfo.xml


%changelog
* Mon Feb 12 2024 tex - 1.7.3-1pclos2024
- new version

* Sun Dec 24 2023 tex - 1.7.2-1pclos2024
- new version

* Fri Nov 24 2023 tex - 1.7.1-1pclos2023
- new version

* Fri Nov 17 2023 tex - 1.7.0-1pclos2023
- new version

* Wed Feb 01 2023 tex - 1.6.1-2pclos2023
- rebuild against updates

* Thu Jan 26 2023 tex - 1.6.1-1pclos2023
- new version

* Tue Jan 11 2022 tex - 1.5.1-1pclos2022
- new version

* Sun Oct 03 2021 tex - 1.4.2-1pclos2021
- new version

* Tue Aug 17 2021 tex - 1.4.1-1pclos2021
- new version

* Tue Jul 20 2021 tex - 1.4.0-2pclos2021
- rebuild against updates

* Mon Jul 19 2021 tex - 1.4.0-1pclos2021
- new version

* Mon Jun 28 2021 tex - 1.3.3-1pclos2021
- new version

* Mon Jan 06 2020 tex - 1.3.1-1pclos2020
- new version

* Tue Nov 12 2019 tex - 1.3.0-1pclos2019
- new version

* Thu May 30 2019 tex - 1.2.2-1pclos2019
- new

* Wed May 09 2018 bb2 <bb2> - 1.1.0-1pclos2018
- new version

* Mon Aug 14 2017 bb2 <bb2> - 1.0.7-2pclos2017
- rebuild against updates

* Tue May 02 2017 pp <pp> 1.0.7-1pclos2017
- update

* Thu Aug 20 2015 bb <bb> 0.10.2-1pclos2015
- update
